
oSql		est un CLSQL
sDate					est une chane			= DateSys()		// Rcupre la date au format AAAAMMJJ
sHeure					est une chane			= HeureSys()	// Rcupre l'heure au format HHMMSS
sRepertoireUtilisateur	est une chane			= fRepDonnesUtilisateur()
sRubrique, sResultat sont des chanes
idFichierDigest, idFichierHistory, idFichierThreads sont des entiers
sNomFichierDigest	est une chane	= sRepertoireUtilisateur + "\" + sDate + "_" + sHeure + "_Digest.txt"
sNomFichierHistory	est une chane	= sRepertoireUtilisateur + "\" + sDate + "_" + sHeure + "_History.txt"
sNomFichierThread	est une chane	= sRepertoireUtilisateur + "\" + sDate + "_" + sHeure + "_Threads.txt"


// digest 
sRubrique	= oSql:ExecSelect("SELECT GROUP_CONCAT(COLUMN_NAME SEPARATOR '\t') AS colonnes FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'events_statements_summary_by_digest'AND TABLE_SCHEMA = 'performance_schema';")
sResultat	= oSql:ExecSelect("SELECT * FROM performance_schema.events_statements_summary_by_digest")
idFichierDigest	= fOuvre(sNomFichierDigest,foEcriture+foCration)

SI idFichierDigest = -1 ALORS
	info("Erreur lors de la cration du fichier : " + ErreurInfo(errComplet))
	RENVOYER Faux
FIN

SI PAS fEcritLigne(idFichierDigest,sRubrique) ALORS
	info("Erreur lors de la lcriture du fichier : " + ErreurInfo(errComplet))
	RENVOYER Faux
FIN

SI PAS fEcritLigne(idFichierDigest, sResultat) ALORS
	info("Erreur lors de la lcriture du fichier : " + ErreurInfo(errComplet))
	RENVOYER Faux
FIN
fFerme(idFichierDigest)

sRubrique	= oSql:ExecSelect("SELECT GROUP_CONCAT(COLUMN_NAME SEPARATOR '\t') AS colonnes FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'events_statements_history'AND TABLE_SCHEMA = 'performance_schema';")
sResultat	= oSql:ExecSelect("SELECT * FROM performance_schema.events_statements_history")
idFichierHistory	= fOuvre(sNomFichierHistory,foEcriture+foCration)

SI idFichierHistory = -1 ALORS
	info("Erreur lors de la cration du fichier : " + ErreurInfo(errComplet))
	RENVOYER Faux
FIN

SI PAS fEcritLigne(idFichierHistory,sRubrique) ALORS
	info("Erreur lors de la lcriture du fichier : " + ErreurInfo(errComplet))
	RENVOYER Faux
FIN

SI PAS fEcritLigne(idFichierHistory, sResultat) ALORS
	info("Erreur lors de la lcriture du fichier : " + ErreurInfo(errComplet))
	RENVOYER Faux
FIN
fFerme(idFichierHistory)

sRubrique	= oSql:ExecSelect("SELECT GROUP_CONCAT(COLUMN_NAME SEPARATOR '\t') AS colonnes FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'threads'AND TABLE_SCHEMA = 'performance_schema';")
sResultat	= oSql:ExecSelect("SELECT * FROM performance_schema.threads")
idFichierThreads	= fOuvre(sNomFichierThread,foEcriture+foCration)

SI idFichierThreads = -1 ALORS
	info("Erreur lors de la cration du fichier : " + ErreurInfo(errComplet))
	RENVOYER Faux
FIN

SI PAS fEcritLigne(idFichierThreads,sRubrique) ALORS
	info("Erreur lors de la lcriture du fichier : " + ErreurInfo(errComplet))
	RENVOYER Faux
FIN

SI PAS fEcritLigne(idFichierThreads, sResultat) ALORS
	info("Erreur lors de la lcriture du fichier : " + ErreurInfo(errComplet))
	RENVOYER Faux
FIN
fFerme(idFichierThreads)


oSql:Exec("TRUNCATE TABLE performance_schema.events_statements_summary_by_digest")

//info("Fichier crit dans " + sNomFichierDigest)
//info("Fichier crit dans " + sNomFichierHistory)
//info("Fichier crit dans " + sNomFichierThread)
RENVOYER Vrai